<?php namespace App\ViewModels\Fila\FilaEspecialidadeDetailsViewModel;

use App\Utils\Entity;

class FilaEspecialidadeDetailsViewModel extends Entity
{
    protected $id_requisicao_procedimento;
    protected $id_cliente;
    protected $id_pessoa;
    protected $id_medico;
    protected $nome_pessoa;
    protected $id_pet;
    protected $data_nascimento_pet;
    protected $nome_pet;
    protected $nome_raca;
    protected $nome_especie;
    protected $data_criacao;
    protected $hora_criacao;
    protected $status_sala;
    protected $agendamento_data;
    protected $agendamento_hora;

    public static function builder() : FilaEspecialidadeDetailsViewModelBuilder
    {
        return (new FilaEspecialidadeDetailsViewModelBuilder);
    }

    /**
     * @return mixed
     */
    public function getIdMedico()
    {
        return $this->id_medico;
    }

    /**
     * @param mixed $id_medico
     */
    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    /**
     * @return mixed
     */
    public function getIdRequisicaoProcedimento()
    {
        return $this->id_requisicao_procedimento;
    }

    /**
     * @param mixed $id_requisicao_procedimento
     */
    public function setIdRequisicaoProcedimento($id_requisicao_procedimento): void
    {
        $this->id_requisicao_procedimento = $id_requisicao_procedimento;
    }

    /**
     * @return mixed
     */
    public function getIdCliente()
    {
        return $this->id_cliente;
    }

    /**
     * @param mixed $id_cliente
     */
    public function setIdCliente($id_cliente): void
    {
        $this->id_cliente = $id_cliente;
    }

    /**
     * @return mixed
     */
    public function getIdPessoa()
    {
        return $this->id_pessoa;
    }

    /**
     * @param mixed $id_pessoa
     */
    public function setIdPessoa($id_pessoa): void
    {
        $this->id_pessoa = $id_pessoa;
    }

    /**
     * @return mixed
     */
    public function getNomePessoa()
    {
        return $this->nome_pessoa;
    }

    /**
     * @param mixed $nome_pessoa
     */
    public function setNomePessoa($nome_pessoa): void
    {
        $this->nome_pessoa = $nome_pessoa;
    }

    /**
     * @return mixed
     */
    public function getIdPet()
    {
        return $this->id_pet;
    }
    
    /**
     * @return mixed
     */
    public function getDataCriacao()
    {
    	return $this->data_criacao;
    }
    /**
     * @return mixed
     */
    public function getHoraCriacao()
    {
    	return $this->hora_criacao;
    }

    /**
     * @param mixed $id_pet
     */
    public function setIdPet($id_pet): void
    {
        $this->id_pet = $id_pet;
    }

    /**
     * @return mixed
     */
    public function getDataNascimentoPet()
    {
        return $this->data_nascimento_pet;
    }

    /**
     * @param mixed $data_nascimento_pet
     */
    public function setDataNascimentoPet($data_nascimento_pet): void
    {
        $this->data_nascimento_pet = $data_nascimento_pet;
    }

    /**
     * @return mixed
     */
    public function getNomePet()
    {
        return $this->nome_pet;
    }

    /**
     * @param mixed $nome_pet
     */
    public function setNomePet($nome_pet): void
    {
        $this->nome_pet = $nome_pet;
    }

    /**
     * @return mixed
     */
    public function getNomeRaca()
    {
        return $this->nome_raca;
    }

    /**
     * @param mixed $nome_raca
     */
    public function setNomeRaca($nome_raca): void
    {
        $this->nome_raca = $nome_raca;
    }

    /**
     * @return mixed
     */
    public function getNomeEspecie()
    {
        return $this->nome_especie;
    }

    /**
     * @param mixed $nome_especie
     */
    public function setNomeEspecie($nome_especie): void
    {
        $this->nome_especie = $nome_especie;
    }
    
    /**
     * @param mixed $data_criacao
     */
    public function setDataCriacao($data_criacao): void
    {
    	$this->data_criacao = $data_criacao;
    }
    /**
     * @param mixed $hora_criacao
     */
    public function setHoraCriacao($hora_criacao): void
    {
    	$this->hora_criacao = $hora_criacao;
    }
    
    public function getStatusSala()
    {
    	
    	return $this->status_sala;
    }
    
    public function setStatusSala($status_sala)
    {
    	$this->status_sala = $status_sala;
    	
    }
	/**
	 * @return mixed
	 */
	public function getAgendamentoData() {

		return $this->agendamento_data;
	}


	/**
	 * @param mixed $agendamento_data
	 */
	public function setAgendamentoData($agendamento_data) {

		$this->agendamento_data = $agendamento_data;
	}

	
	/**
	 * @return mixed
	 */
	public function getAgendamentoHora() {
		
		return $this->agendamento_hora;
	}
	
	
	/**
	 * @param mixed $agendamento_data
	 */
	public function setAgendamentoHora($agendamento_hora) {
		
		$this->agendamento_hora = $agendamento_hora;
	}
	


}